PIRL.Conductor.Pipeline_Configuration

## Class Pipeline_Configuration.Conf

- java.lang.Object
- - PIRL.Conductor.Pipeline_Configuration.Pipeline_Configuration.Conf

Enclosing class:
  Pipeline_Configuration

    public static final class Pipeline_Configuration.Conf
    extends Object

The fields of a record in the Pipeline_Configuration database table. When queries are made via read and write methods, a `Conf` is used as a data transfer object.

### Field Summary

Fields
`String` `description`
`String` `lastUpdate`
`String` `parameter`
`String` `pipeline`
`String` `validation`
`String` `value`

### Constructor Summary

Constructors
Constructor and Description
`Pipeline_Configuration.Conf()`
`Pipeline_Configuration.Conf(String pipeline, String parameter, String value, String validation, String description, String lastUpdate)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pipeline

    public final String pipeline

#### parameter

    public final String parameter

#### value

    public final String value

#### validation

    public final String validation

#### description

    public final String description

#### lastUpdate

    public final String lastUpdate

### Constructor Detail

#### Pipeline_Configuration.Conf

    public Pipeline_Configuration.Conf()

#### Pipeline_Configuration.Conf

    public Pipeline_Configuration.Conf(String pipeline,
                               String parameter,
                               String value,
                               String validation,
                               String description,
                               String lastUpdate)